> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/users/create-new-user.md).

# Create new user

*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*

Create new user in SameSystem. You can send the same attributes as you retrieve after sending a request for getting created/updated response.

You can only create one user per call. In case some requirements are failed to be fulfilled, you will get a response with the descriptive error message and "errors" node, which explains fields that were problematic.

If user creation was successful, you receive a "user\_id" attribute with the unique user id in SameSystem.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/users/create":{"post":{"tags":["Users"],"summary":"Create new user","description":"*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*\n\nCreate new user in SameSystem. You can send the same attributes as you retrieve after sending a request for getting created/updated response.\n\nYou can only create one user per call. In case some requirements are failed to be fulfilled, you will get a response with the descriptive error message and \"errors\" node, which explains fields that were problematic.\n\nIf user creation was successful, you receive a \"user_id\" attribute with the unique user id in SameSystem.","operationId":"post-clientToken-users-create","parameters":[{"name":"clientToken","in":"path","description":"Token in a form of \"c\\<clientId\\>\".","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreateInput"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":"ok"},"message":{"type":"string","default":"User has been successfully created"},"user_id":{"type":"number"}}}}}}}}}},"components":{"schemas":{"UserCreateInput":{"required":["civil_no","first_name","hours_week","last_name","role","shop_name","start_date"],"type":"object","properties":{"role":{"type":"string"},"civil_no":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"address_line1":{"type":"string"},"postal_code":{"type":"string"},"city":{"type":"string"},"mobile":{"type":"string"},"email":{"type":"string"},"kon_1":{"type":"string"},"start_date":{"type":"string","format":"date"},"shop_name":{"type":"string"},"hours_week":{"type":"number"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/users/create-new-user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
